@use '../../../node_modules/@angular/material/index' as mat;
@use 'class-theme' as ct;
@import "palettes";
@import "colors-vars";

@include mat.core();

//html[data-theme='light'] {
//  $my-primary: mat.define-palette($yellow-sun-palette, 500);
//  $my-accent: mat.define-palette($blue-royal-palette, 500);
//  $my-warn: mat.define-palette(mat.$red-palette);
//
//  $my-theme: mat.define-light-theme((
//    color: (
//      primary: $my-primary,
//      accent: $my-accent,
//      warn: $my-warn,
//    ),
//    typography: mat.define-typography-config(),
//    density: 0,
//  ));
//
//  @include mat.all-component-colors($my-theme);
//  @include mat.all-component-typographies($my-theme);
//  @include mat.all-component-densities($my-theme);
//  @include ct.theme-background-styles($my-theme);
//}

html[data-theme='dark'] {
  $primary: mat.define-palette($p-primary, 500);
  $accent: mat.define-palette($p-accent, 500);
  $warn: mat.define-palette($p-warn);

  $my-theme: mat.define-dark-theme((
    color: (
      primary: $primary,
      accent: $accent,
      warn: $warn,
    ),
    typography: mat.define-typography-config(),
    density: 0,
  ));

  @include mat.all-component-colors($my-theme);
  @include mat.all-component-typographies($my-theme);
  @include mat.all-component-densities($my-theme);
  @include ct.theme-background-styles($my-theme);
  @include ct.theme-text-styles($my-theme);
}
